import { LocalesDictionary } from './interfaces';
export declare const LIGHT_DIAMOND = "diamond-light";
export declare const DARK_DIAMOND = "diamond-dark";
export declare const LIGHT_COPY = "copy-light";
export declare const DARK_COPY = "copy-dark";
export declare const LIGHT_DISCONNECT = "disconnect-light";
export declare const DARK_DISCONNECT = "disconnect-dark";
export declare const buttonDesign: {
    horizontalPadding: number;
    verticalPadding: number;
    borderRadius: number;
    borderWidth: number;
    fontFamily: string;
    fontSize: number;
    default: {
        borderColor: string;
        backgroundColor: string;
        backgroundColorHover: string;
        fontColor: string;
        icons: {
            diamond: string;
            copy: string;
            disconnect: string;
        };
    };
    light: {
        borderColor: string;
        backgroundColor: string;
        backgroundColorHover: string;
        fontColor: string;
        icons: {
            diamond: string;
            copy: string;
            disconnect: string;
        };
    };
    dark: {
        borderColor: string;
        backgroundColor: string;
        backgroundColorHover: string;
        fontColor: string;
        icons: {
            diamond: string;
            copy: string;
            disconnect: string;
        };
    };
    icon: {
        horizontalPadding: number;
        width: number;
        height: number;
    };
    dropDown: {
        topMargin: number;
        horizontalPadding: number;
        verticalPadding: number;
        width: number;
        borderRadius: number;
    };
    dropDownItem: {
        horizontalPadding: number;
        verticalPadding: number;
    };
};
export declare const locales: LocalesDictionary;
