import type Phaser from 'phaser';
import { ConnectWalletButton, ConnectWalletButtonParams } from './connect-button/connect-button';
import { GameFiBase as GameFiBase, GameFiInitializationParams } from '../../common/game-fi';
export interface CreateConnectButtonParams {
    scene: Phaser.Scene;
    positionX?: number;
    positionY?: number;
    button?: ConnectWalletButtonParams;
}
export declare class GameFi extends GameFiBase {
    static create(params?: GameFiInitializationParams): Promise<GameFi>;
    createConnectButton(params: CreateConnectButtonParams): ConnectWalletButton;
}
