"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameFi = void 0;
const connect_button_1 = require("./connect-button/connect-button");
const game_fi_1 = require("../../common/game-fi");
class GameFi extends game_fi_1.GameFiBase {
    static create(params = {}) {
        return __awaiter(this, void 0, void 0, function* () {
            return new GameFi(yield GameFi.createDependencies(params));
        });
    }
    createConnectButton(params) {
        var _a, _b;
        return new connect_button_1.ConnectWalletButton(this.walletConnector, params.scene, (_a = params.positionX) !== null && _a !== void 0 ? _a : 0, (_b = params.positionY) !== null && _b !== void 0 ? _b : 0, params.button);
    }
}
exports.GameFi = GameFi;
